"use client";
import { HumasLayout } from "@/components/layout/humas-layout";
import DetailPage from "@/components/main/detail/new-detail";
import React, { useEffect, useState } from "react";

export default function NewsPage() {
  const [hasMounted, setHasMounted] = useState(false);

  useEffect(() => {
    setHasMounted(true);
  }, []);

  // Render
  if (!hasMounted) return null;
  return (
    <HumasLayout>
      <DetailPage />
    </HumasLayout>
  );
}
